This is why I don’t like .NET

I end up writing most of my things against the basic API. It requires no additional steps by the users and for the installed base of computers, (still have XP and for some special offline applications, W2K) it allows single binary platform support.

For the installation and operation of XXXXX on Windows the .NET Framework 2.0 SP2
or .NET Framework 3.x is required (please note that .NET Framwork 4 or newer will
not work).